Teamspeak 3 qui ne s'exécute pas

Bonsoir/ Bonjour,

Cela fait plusieurs heures que je suis en train d’essayer de télécharger Teamspeak 3.
Étant tout nouveau sur linux j’ai commencé par chercher des discussions sur internet mais malgré le bons nombres de site traitant le sujet rien n’a fonctionné. :roll_eyes:

Je suis sur Steam OS donc Debian.
J’ai commencé par télécharger le .run du site de teamspeak en 64bit.
Après ça je l’ai transformé en executable dans ma console.
A l’execution, il me demande d’accepter leur condition d’utilisation etc, ce qui c’est très bien passé ! Il me télécharge donc un dossier qui est Teamspeak en lui même.
J’ai regarder plusieurs tuto et d’après eux il faut executer

ts3client_runscript.sh

Ce que j’ai d’abord fait dans mon explorateur de fichier et puis dans mon terminal avec cette commande car cela ne fonctionnait pas :

./ts3client_runscript.sh

Et voila ce que répond mon terminal :

./ts3client_linux_amd64: /lib/x86_64-linux-gnu/libdbus-1.so.3: no version information available (required by ./libQt5WebEngineCore.so.5)
QCoreApplication::applicationDirPath: Please instantiate the QApplication object first
Crashdump ENABLED,  directory is: /home/desktop/.ts3client/crashdumps
DUMP defined! Dumpdir is: /home/desktop/.ts3client/crashdumps
2020-02-09 19:33:23.468087|INFO    |              |   |TeamSpeak Client 3.3.2 (2019-08-25 21:13:34)
2020-02-09 19:33:23.468407|INFO    |              |   |SystemInformation: Linux 4.19.0-0.steamos2.3-amd64 #1 SMP Debian 4.19.45-1~steamos2.1 (2019-05-24) x86_64 Binary: 64bit
2020-02-09 19:33:23.468584|INFO    |              |   |Using hardware aes
2020-02-09 19:33:23.615595|DEBUG   |PulseAudio    |   |connected to pulse audio server - 
2020-02-09 19:33:23.646601|INFO    |              |   |*** Time [SPAWN_EVENTCONVERTER]: 107
2020-02-09 19:33:23.678313|INFO    |ClientUI      |   |OpenGL Info: LibGL, Vendor: Intel Open Source Technology Center, Renderer: Mesa DRI Intel(R) HD Graphics 520 (Skylake GT2) , Version: 3.0 Mesa 18.3.4
2020-02-09 19:33:23.696835|ERROR   |RevocationListCache|   |Failed to import revocation list from cache
2020-02-09 19:33:23.888319|INFO    |              |   |successfully downloaded revocation list for accounting
2020-02-09 19:33:23.903286|INFO    |              |   |successfully downloaded revocation list for myteamspeak id
2020-02-09 19:33:24.001270|INFO    |              |   |*** Time [ICONMANGER]: 134
2020-02-09 19:33:24.018521|INFO    |Addons        |   |Checking for addon updates...
./ts3client_linux_amd64: symbol lookup error: ./libQt5XcbQpa.so.5: undefined symbol: FT_Get_Font_Format

Évidemment rien ne s’ouvre.
J’ai décortiquer la réponse et j’ai retenu quelques infos interressantes :

2020-02-09 19:33:23.696835|ERROR   |RevocationListCache|   |Failed to import revocation list from cache

./ts3client_linux_amd64: symbol lookup error: ./libQt5XcbQpa.so.5: undefined symbol: FT_Get_Font_Format

J’ai fais des recherches sur internet, essayer les conseils qu’ils donnaient, fouiller presque tous les sites mais rien ne fonctionne.

J’ai besoin de Teamspeak donc c’est plutot important :stuck_out_tongue_winking_eye:

Merci d’avance à toutes vos réponses.
Bonne journée/soirée !

Salut,

Déjà, première chose : as-tu vérifié la somme de contrôle après téléchargement ? C’est la première chose à faire, qui garantit que le téléchargement s’est bien passé. Un seul octet de différence, et c’est la cata ! Mais ça se voit gros comme une maison avec la somme de contrôle !

Ensuite, le message important me semble être celui-ci :

./ts3client_linux_amd64: /lib/x86_64-linux-gnu/libdbus-1.so.3: no version information available (required by ./libQt5WebEngineCore.so.5)

Donc, il faut d’abord que tu installes libdbus1-3 qui est dans les dépôts Debian, donc simplement par apt-get install ou synaptic. Ensuite, tu pourras relancer ton installateur.

Ça devrait déjà aller beaucoup mieux ensuite ! Sinon, reposte les messages.

1 J'aime

Salut,
Merci beaucoup, tu sauves haha.
Pour vérifier la somme de contrôle, c’est bien avec la clé hash ?

Oui, en console: sha256sum <le nom du fichier .run téléchargé>
Et tu compares avec la somme de contrôle sur le site de téléchargement (bon, ne compare pas à la main caractère par caractère, mets chacune des sommes - celle calculée par ta commande et celle donnée par le site - dans des fichier séparés et utilise la commande diff par exemple (diff fichier1 fichier2).

Mais suis le conseil de jibe-74: sudo apt install libdbus1-3

1 J'aime

@Sputnik93 @jibe-74 Après avoir vérifié le fichier qui est correct, fait la mise à jour du apt-get ( sudo apt-get update ) et installer libdus1-3, rien y fait.
Voilà ce que me répond libdus après l’instalation :

[sudo] password for desktop: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package libdbus1-3

Merci encore pour votre aide :smiley:

Petite typo, c’est libdbus-1-3 le nom du paquet

Voilà ce qu’il me dit :

[sudo] password for desktop: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
libdbus-1-3 is already the newest version.
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
 google-chrome-stable : Depends: libappindicator3-1 but it is not going to be installed
                        Depends: xdg-utils (>= 1.0.2) but it is not going to be installed
                        Recommends: libu2f-udev but it is not installable
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

Et si je reesaye de lancer Teamspeak 3, ça ne change rien.

Bon j’ai voulu monter un petit docker pour tenter d’installer le bouzin (ne voulant pas mettre le bazar sur ma machine), mais j’en suis à la 12e lib Qt / C++ à installer à la main, je sens que je vais pas m’en sortir ce soir.

A voir si demain j’ai le temps / la motivation de monter une VM avec un serveur d’affichage et des applis Qt qui m’éviteront de devoir installer les libs une par une.

Désolé de pas t’aider plus, essaye peut-être du côté de Teamspeak (je sais pas s’ils ont un gitlab ou autre, ou un service support accessible)

Sinon essaye Mumble ^^

Salut,

Effectivement, il semble que tout ça nécessite un tas de dépendances. Tu peux essayer de les installer au fur et à mesure qu’on te les demande, mais ça risque effectivement d’être long ! Sinon, il faudrait avoir la liste exacte et exhaustive de ce qu’il faut, mais ça je pense qu’effectivement, il faut voir avec l’équipe teamspeak.

Si certains paquets ne sont pas dans les dépôts Debian, soit il faudra ajouter dans ton source.list les adresses des dépôts pouvant les fournir, soit télécharger les .deb manuellement et faire une installation locale.

As tu fait les 3 étapes?

1. Install the client

Code:

chmod u+x ./TeamSpeak3-Client-Linux_amd64-3.3.2.run ./TeamSpeak3-Client-Linux_amd64-3.3.2.run

2. Switch into the folder

Code:

cd TeamSpeak3-Client-Linux_amd64

3. Start the client

Code:

./ts3client_runscript.sh

il existe aussi en Flatpak
https://flathub.org/apps/details/com.teamspeak.TeamSpeak

http://ubuntuhandbook.org/index.php/2019/02/install-teamspeak-client-flatpak-ubuntu-18-04-higher/

1 J'aime

Ah je viens de voir que quelqu’un a gentiment empaqueté un .deb pour le client Teamspeak 3, qui utilise les scripts sur lesquels on s’échine.
Je viens de tester, ça fonctionne sur une Stretch avec Gnome.

Installe le paquet menu avant.

Le lien vers le github:

@Sputnik93 Cela ne change rien lorsque j’essaye d’installer “teamspeak3-client_amd64.deb” :

dpkg: error processing archive teamspeak3-client_amd64.deb (–install):
cannot access archive: No such file or directory
Errors were encountered while processing:
teamspeak3-client_amd64.deb

Personnellement j’ai juste suivi les instructions du README, sur une VM Debian 9 sur laquelle j’avais installé transmission-qt (histoire de tirer un maximum de dépendances Qt):

sudo apt install menu
echo "deb https://deb.tmiland.com/debian stable main" | sudo tee /etc/apt/sources.list.d/tmiland.list
sudo apt-key adv --keyserver hkps://keys.openpgp.org --recv-keys A9EA5FFA30697D15
sudo apt update
sudo apt install teamspeak3-client

Quelles étapes as-tu effectué ?

@grandtoubab J’ai essayé le Flatpak mais lorsque je recherche Teamspeak 3 dans le menu des applications et que je le lances, rien ne se passe, mais il est bien là !

@Sputnik93 Je n’ai pas suivi les infos du README mais celle du site, je vais essayer celle du README.

Merci à tous, je ne vous le dirai jamais assez :laughing:

@Sputnik93 Ok je viens de me rendre compte que les infos du site sont celle du README :sweat_smile: :joy:

J’ai suivi les infos du site.
Mais je viens aussi de me rendre compte que j’ai peut-être fait une merde quelque part, je regarde.

@Sputnik93 Le problème maintenant c’est vraiment à l’ouverture de Teamspeak 3, c’est tout le temps cela qui revient :

Errors were encountered while processing:
teamspeak3-client
E: Sub-process /usr/bin/dpkg returned an error code (1)

Absolument aucun problème sur ma Debian 11 Bulseye

J’ai créé le dossier teamspeak3 dans mon home et déposé le fichier teamSpeak3-Client-linux_amd64-3.3.2.run dedans

les commandes exécutées!

chmod u+x TeamSpeak3-Client-linux_amd64-3.3.2.run

./TeamSpeak3-Client-linux_amd64-3.3.2.run

on se retrouve avec la licence en mode texte, on descends jusqu’à la fin du texte

you can scroll with the arrow keys and quit the viewer by pressing 'q'.
[RETURN]

Please type y to accept, n otherwise: y
Creating directory TeamSpeak3-Client-linux_amd64
Verifying archive integrity... All good.
Uncompressing TeamSpeak 3 Client for Linux on amd64  100%  

On se mets dans le dossier nouvellement créé

cd TeamSpeak3-Client-linux_amd64

donc on est dans
~/teamspeak3/TeamSpeak3-Client-linux_amd64
on lance l’application

./ts3client_runscript.sh

Et voila

Capture%20d%E2%80%99%C3%A9cran%20du%202020-02-11%2019-19-26

ts2

ts3

Le programme est auto-suffisant il n’y a pas d’histoire de lib ou de dpkg

:~/teamspeak3/TeamSpeak3-Client-linux_amd64$ ls
CHANGELOG           libGL.so                 libQt5QuickWidgets.so.5      libssl.so.1.0.0       sound
error_report        libQt5Core.so.5          libQt5Sql.so.5               libudev.so.1          soundbackends
gfx                 libQt5DBus.so.5          libQt5Svg.so.5               openglblacklist.json  sqldrivers
html                libQt5Gui.so.5           libQt5WebChannel.so.5        package_inst          styles
iconengines         libQt5Network.so.5       libQt5WebEngineCore.so.5     platforms             translations
imageformats        libQt5Positioning.so.5   libQt5WebEngineWidgets.so.5  qt.conf               ts3client_linux_amd64
libc++abi.so.1      libQt5PrintSupport.so.5  libQt5Widgets.so.5           qtwebengine_locales   ts3client_runscript.sh
libcrypto.so.1.0.0  libQt5Qml.so.5           libQt5XcbQpa.so.5            QtWebEngineProcess    update
libc++.so.1         libQt5Quick.so.5         libquazip.so                 resources             xcbglintegrations

D’accord mais comment je peux faire moi alors ?
Il y a un problème, c’est sûr, vu que ça ne se passe pas normalement.

Depuis mes anciens essai j’ai totalement “réintialiser” mon pc (j’avais quasi rien dessus), je l’ai reboot avec steam OS+ et rien n’a changé.

Peut-être est-ce Steam OS qui pose problème ?